org.eclipse.microprofile.openapi.annotations.security

## Annotation Type OAuthScope

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface OAuthScope

Represents an OAuth scope.

See Also:
  OAuthFlow Object

### Optional Element Summary

Optional Elements
`String` `description` Short description of the scope.
`String` `name` Name of the scope.

### Element Detail

#### name

    public abstract String name

Name of the scope.

Returns:
  the name of this scope

Default:
  ""

#### description

    public abstract String description

Short description of the scope.

Returns:
  the description of this scope

Default:
  ""